<div class="ui modal" id="build_modal" style="top: 25%;">
    <div class="header" style="text-align: center;">
        <i class="share icon" style="font-size: 1em;"></i>Load a Build
    </div>
    <div class="image content">
        <div class="description">
            <div class="ui large form" id="build_form">
                <div class="field">
                    <label>Generated Build Link from Ascension</label>
                    <input name="build_link" type="text">
                </div>
            </div>
        </div>
    </div>
    <div class="actions">
        <button id="build_modal_continue" class="disabled ui inverted green button animated approve" tabindex="0">
            <span class="visible content">
                Continue
            </span>
            <span class="hidden content">
                <i class="right arrow icon"></i>
            </span>
        </button>
        <button id="build_modal_btn" class="ui inverted red button animated cancel" tabindex="0">
            <span class="visible content">
                Cancel
            </span>
            <span class="hidden content">
                <i class="x icon"></i>
            </span>
        </button>
    </div>
</div>

<script>
    let continue_btn = $("#build_modal_continue");
    let build_form = $('#build_form');

    let build_link = document.getElementsByName("build_link")[0];

    build_link.addEventListener('input', function() {
        let value = this.value.trim();
        if (value.length > 2)
            // Might need to change this if 3832t10 is valid (i.e 10 points in a talent)
            if (!value.match("^:([0-9]+(t[0-9])*:)*$")) {
                build_form.addClass("error");
                if (!continue_btn.hasClass("disabled"))
                    continue_btn.addClass("disabled");
            } else {
                build_form.removeClass("error");
                if (continue_btn.hasClass("disabled"))
                    continue_btn.removeClass("disabled");
            }
        else if (value.length < 2 && !continue_btn.hasClass("disabled"))
            continue_btn.addClass("disabled");
    });

    $("#build_modal_show").on('click', function() {
        $('#build_modal').modal('show');
    });
    continue_btn.on('click', function() {
        window.location.href = `new-build/${build_link.value}`
    });
</script>
